# Emacs
Lightweight configuration of emacs with basic utilities plus personal configuration

![emacs-personal](https://heckyel.ga/public/emacs-personal.png?raw=true "emacs-personal")

### Markdown Mode
- Require installed markdown in distro GNU+Linux, example:

  `apt-get install markdown` or `pacman -S markdown`

### Flycheck Mode
- Require installed the languages checking, example:

  `pacman -S shellcheck`    # bash, sh

  `pacman -S eslint`        # ECMAScript

  `pacman -S python-pylint` # python

### Neotree

Neotree comes by default in combination with all-the-icons.
So pressing «f8» will display (you must give "yes") a one-time screen to install all-the-icons fonts.

### Mode Python
- Require installed virtualenv, example:

  `pacman -S python-virtualenv`

M-x jedi:install-server [RET]

### License
- [GLPv3](LICENSE)
